
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.expandicraft.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.expandicraft.entity.OpalcrossbowEntity;
import net.mcreator.expandicraft.entity.NullK1Entity;
import net.mcreator.expandicraft.entity.Null1Entity;
import net.mcreator.expandicraft.ExpandiCraftMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class ExpandiCraftModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, ExpandiCraftMod.MODID);
	public static final RegistryObject<EntityType<OpalcrossbowEntity>> OPALCROSSBOW = register("projectile_opalcrossbow",
			EntityType.Builder.<OpalcrossbowEntity>of(OpalcrossbowEntity::new, MobCategory.MISC).setCustomClientFactory(OpalcrossbowEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<Null1Entity>> NULL_1 = register("null_1",
			EntityType.Builder.<Null1Entity>of(Null1Entity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(Null1Entity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<NullK1Entity>> NULL_K_1 = register("null_k_1",
			EntityType.Builder.<NullK1Entity>of(NullK1Entity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(NullK1Entity::new).fireImmune().sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			Null1Entity.init();
			NullK1Entity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(NULL_1.get(), Null1Entity.createAttributes().build());
		event.put(NULL_K_1.get(), NullK1Entity.createAttributes().build());
	}
}
