
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.expandicraft.init;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.CreativeModeTabEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.network.chat.Component;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class ExpandiCraftModTabs {
	@SubscribeEvent
	public static void buildTabContentsVanilla(CreativeModeTabEvent.BuildContents tabData) {

		if (tabData.getTab() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(ExpandiCraftModBlocks.HARDENEDGLASSBLOCK.get().asItem());
		}

		if (tabData.getTab() == CreativeModeTabs.COMBAT) {
			tabData.accept(ExpandiCraftModItems.AMBREZJA_SW_0RD.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJAARMOR_HELMET.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJAARMOR_CHESTPLATE.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJAARMOR_LEGGINGS.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJAARMOR_BOOTS.get());
			tabData.accept(ExpandiCraftModItems.OPALCROSSBOW.get());
			tabData.accept(ExpandiCraftModItems.RUBIFIED_AMBREZJA_SWORD.get());
		}

		if (tabData.getTab() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(ExpandiCraftModItems.NULL_1_SPAWN_EGG.get());
			tabData.accept(ExpandiCraftModItems.NULL_K_1_SPAWN_EGG.get());
		}

		if (tabData.getTab() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(ExpandiCraftModItems.AMBREZJASHARD.get());
			tabData.accept(ExpandiCraftModItems.RUBY.get());
			tabData.accept(ExpandiCraftModItems.OPAL.get());
		}

		if (tabData.getTab() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(ExpandiCraftModBlocks.INFESTEDENDSTONE.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.RUBYORE.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.AMBREZJAORE.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.OPALORE.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.CHROSE.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.SPREADING_CHROSE.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.DEEPSLATEOPAL.get().asItem());
			tabData.accept(ExpandiCraftModBlocks.HIDDENAMBREZJAORE.get().asItem());
		}

		if (tabData.getTab() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(ExpandiCraftModItems.AMBREZJAPICKAXE.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJAAXE.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJAHOE.get());
			tabData.accept(ExpandiCraftModItems.AMBREZJASHOVEL.get());
		}
	}

	@SubscribeEvent
	public static void buildTabContentsModded(CreativeModeTabEvent.Register event) {
		event.registerCreativeModeTab(new ResourceLocation("expandi_craft", "test"),
				builder -> builder.title(Component.translatable("item_group.expandi_craft.test")).icon(() -> new ItemStack(ExpandiCraftModBlocks.INFESTEDENDSTONE.get())).displayItems((parameters, tabData) -> {
					tabData.accept(ExpandiCraftModItems.VOIDWATER_BUCKET.get());
					tabData.accept(ExpandiCraftModItems.TAXES.get());
					tabData.accept(ExpandiCraftModItems.DIVINEBLADEE.get());
					tabData.accept(ExpandiCraftModItems.IRONCROSSBOWARROW.get());
					tabData.accept(ExpandiCraftModItems.NULL_KNIGHT_ARMOR_PIECE.get());
					tabData.accept(ExpandiCraftModItems.NULL_KNIGHT_ARMOR_HELMET.get());
					tabData.accept(ExpandiCraftModItems.NULL_KNIGHT_ARMOR_CHESTPLATE.get());
					tabData.accept(ExpandiCraftModItems.NULL_KNIGHT_ARMOR_LEGGINGS.get());
					tabData.accept(ExpandiCraftModItems.NULL_KNIGHT_ARMOR_BOOTS.get());
				}).withSearchBar());
	}
}
