
package net.mcreator.expandicraft.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.entity.Entity;

import net.mcreator.expandicraft.procedures.RubifiedAmbrezjaSwordToolInHandTickProcedure;
import net.mcreator.expandicraft.init.ExpandiCraftModItems;

public class RubifiedAmbrezjaSwordItem extends SwordItem {
	public RubifiedAmbrezjaSwordItem() {
		super(new Tier() {
			public int getUses() {
				return 3749;
			}

			public float getSpeed() {
				return 0f;
			}

			public float getAttackDamageBonus() {
				return 10.5f;
			}

			public int getLevel() {
				return 0;
			}

			public int getEnchantmentValue() {
				return 23;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ExpandiCraftModItems.AMBREZJASHARD.get()));
			}
		}, 3, -2.2f, new Item.Properties().fireResistant());
	}

	@Override
	public boolean hasCraftingRemainingItem(ItemStack stack) {
		return true;
	}

	@Override
	public ItemStack getCraftingRemainingItem(ItemStack itemstack) {
		return new ItemStack(this);
	}

	@Override
	public boolean isRepairable(ItemStack itemstack) {
		return false;
	}

	@Override
	public void inventoryTick(ItemStack itemstack, Level world, Entity entity, int slot, boolean selected) {
		super.inventoryTick(itemstack, world, entity, slot, selected);
		if (selected)
			RubifiedAmbrezjaSwordToolInHandTickProcedure.execute(entity);
		RubifiedAmbrezjaSwordToolInHandTickProcedure.execute(entity);
	}
}
