
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.expandicraft.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.expandicraft.fluid.VoidwaterFluid;
import net.mcreator.expandicraft.ExpandiCraftMod;

public class ExpandiCraftModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(ForgeRegistries.FLUIDS, ExpandiCraftMod.MODID);
	public static final RegistryObject<FlowingFluid> VOIDWATER = REGISTRY.register("voidwater", () -> new VoidwaterFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_VOIDWATER = REGISTRY.register("flowing_voidwater", () -> new VoidwaterFluid.Flowing());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(VOIDWATER.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_VOIDWATER.get(), RenderType.translucent());
		}
	}
}
